## amarok-trinity 3.5.13.2

=== doc/es/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( LANG es DESTINATION amarok )

=== doc/pt_BR/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( LANG pt_BR DESTINATION amarok )

=== amarok/src/analyzers/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/amarok/src
  ${CMAKE_BINARY_DIR}/amarok/src/amarokcore
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### analyzers (static) ########################

tde_add_library( analyzers STATIC_PIC AUTOMOC
  SOURCES
    analyzerbase.cpp analyzerfactory.cpp baranalyzer.cpp
    blockanalyzer.cpp glanalyzer.cpp glanalyzer2.cpp
    glanalyzer3.cpp sonogram.cpp turbine.cpp boomanalyzer.cpp
  DEPENDENCIES amarokcore-static
)

=== amarok/src/konquisidebar/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_import( konqueror )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES amarok.desktop DESTINATION ${DATA_INSTALL_DIR}/konqsidebartng/add )
install( FILES amarok.desktop DESTINATION ${DATA_INSTALL_DIR}/konqsidebartng/kicker_entries )
install( FILES amarok.desktop DESTINATION ${DATA_INSTALL_DIR}/konqsidebartng/entries )


##### konqsidebar_universalamarok (module) ######

tde_add_kpart( konqsidebar_universalamarok AUTOMOC
  SOURCES
    universalamarok.cpp
    ${CMAKE_SOURCE_DIR}/amarok/src/amarokcore/amarokdcopiface.stub
  LINK konqsidebarplugin-shared khtml-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== amarok/src/loader/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### amarok (executable) #######################

tde_add_executable( amarok
  SOURCES loader.cpp
  LINK kdeui-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== amarok/src/magnatunebrowser/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/amarok/src/amarokcore
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${CMAKE_SOURCE_DIR}/amarok/src/amarokcore
  ${CMAKE_SOURCE_DIR}/amarok/src/statusbar
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### magnatunebrowser (static) #################

tde_add_library( magnatunebrowser STATIC_PIC AUTOMOC
  SOURCES
    magnatuneartistinfobox.cpp magnatunebrowser.cpp
    magnatunedownloaddialogbase.ui magnatunedownloaddialog.cpp
    magnatunepurchasedialogbase.ui magnatunepurchasedialog.cpp
    magnatunepurchasehandler.cpp magnatunetypes.cpp magnatunexmlparser.cpp
    magnatunedatabasehandler.cpp magnatunelistviewitems.cpp
    magnatunelistview.cpp magnatuneredownloaddialog.cpp
    magnatuneredownloadhandler.cpp magnatunedownloadinfo.cpp
    magnatunealbumdownloader.cpp magnatuneredownloaddialogbase.ui
)

=== amarok/src/themes/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( example )
add_subdirectory( reinhardt )

=== amarok/src/engine/xine/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/amarok/src/amarokcore
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${CMAKE_SOURCE_DIR}/amarok/src/amarokcore
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${XINE_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES amarok_xine-engine.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES xinecfg.kcfg DESTINATION ${KCFG_INSTALL_DIR} )


##### libamarok_xine-engine (module) ############

tde_add_kpart( libamarok_xine-engine AUTOMOC
  SOURCES
    xine-scope.c xinecfg.kcfgc xine-engine.cpp
    xineconfigbase.ui xine-config.cpp
  LINK amarok-shared ${XINE_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== amarok/src/mediadevice/generic/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/amarok/src/amarokcore
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${CMAKE_SOURCE_DIR}/amarok/src/amarokcore
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES amarok_generic-mediadevice.desktop DESTINATION ${SERVICES_INSTALL_DIR} )


##### libamarok_generic-mediadevice (module) ####

tde_add_kpart( libamarok_generic-mediadevice AUTOMOC
  SOURCES
    genericmediadeviceconfigdialog.ui
    genericmediadevice.cpp
  LINK amarok-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
  DEPENDENCIES amarokcore-static
)

=== amarok/src/mediadevice/ifp/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES
    amarok_ifp-mediadevice.desktop
  DESTINATION ${SERVICES_INSTALL_DIR} )


##### libamarok_ifp-mediadevice (module) ########

tde_add_kpart( libamarok_ifp-mediadevice AUTOMOC
  SOURCES ifpmediadevice.cpp
  LINK amarok-shared kio-shared ${IFP_LIBRARY} ${USB_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== amarok/src/mediadevice/ipod/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/amarok/src
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${CMAKE_SOURCE_DIR}/amarok/src/amarokcore
  ${CMAKE_BINARY_DIR}/amarok/src/amarokcore
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${GPOD_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES
    amarok_ipod-mediadevice.desktop
  DESTINATION ${SERVICES_INSTALL_DIR} )


##### libamarok_ipod-mediadevice (module) #######

tde_add_kpart( libamarok_ipod-mediadevice AUTOMOC
  SOURCES ipodmediadevice.cpp
  LINK amarok-shared glib-2.0 ${GPOD_LIBRARY}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== amarok/src/mediadevice/njb/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES
    amarok_njb-mediadevice.desktop
  DESTINATION ${SERVICES_INSTALL_DIR} )


##### libamarok_njb-mediadevice (module) ########

tde_add_kpart( libamarok_njb-mediadevice AUTOMOC
  SOURCES
    njbmediadevice.cpp playlist.cpp track.cpp
  LINK amarok-shared ${NJB_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== debian/changelog ===
amarok-trinity (4:3.5.13.2-0debian7.0.0+1) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 09 Jul 2013 03:35:36 +0200

amarok-trinity (2:1.4.10-1ubuntu0) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

amarok-trinity (2:1.4.10-0ubuntu5) jaunty; urgency=low

  * Jaunty rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 28 April 2009 13:23:00 -0600

amarok-trinity (2:1.4.10-0ubuntu4) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 03 March 2009 20:08:00 -0600

amarok-trinity (2:1.4.10-0ubuntu2) intrepid; urgency=low

  * Fixed Debian MP3 autoinstaller

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 08 Dec 2008 15:59:00 -0600

amarok-trinity (2:1.4.10-0ubuntu1) intrepid; urgency=low

  * Added -trinity prefix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 02 Dec 2008 22:55:00 -0600

amarok (2:1.4.10-0ubuntu3) intrepid; urgency=low

  * Add kubuntu_12_eject_command.diff, change eject command to
    umount, we no longer have kdeeject

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 13 Oct 2008 22:16:22 +0100

amarok (2:1.4.10-0ubuntu2) intrepid; urgency=low

  * Update install-mp3 to use install-package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 08 Sep 2008 14:30:40 +0100

amarok (2:1.4.10-0ubuntu1) intrepid; urgency=low

  * New upstream release
  * Add kubuntu_11_fix_libmtp-0.3.0-API.diff

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 14 Aug 2008 18:04:13 +0200

amarok (2:1.4.9.1-2ubuntu3) intrepid; urgency=low

  * Add moodbar to the feature list
  * Remove the amarok-engine virtual package, see debian version 1.4.8-2 for
    reasoning
  * amarok-common conflicts with amarok packages older than -2ubuntu1, but
    doesn't replace them (LP: #244628)

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 30 Jun 2008 19:19:04 +0200

amarok (2:1.4.9.1-2ubuntu2) intrepid; urgency=low

  * Add manpages - unbreak build

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 27 Jun 2008 15:34:42 +0200

amarok (2:1.4.9.1-2ubuntu1) intrepid; urgency=low

  * Merge with Debian, remaining changes in debian/KUBUNTU-DEBIAN-DIFFERENCES 

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 25 Jun 2008 21:16:38 +0200

amarok (1.4.9.1-2) unstable; urgency=medium

  * Add 15_temptables_more_indices.diff patch which creates more indices for
    some temporary tables that are used extensively while building collection
    database. Apparently, SQLite 3.5.x is slower than 3.4.x when doing
    matches on unindexed temporary table fields. This should solve (or improve
    situation significantly) major performance problems with SQLite 3.5.x
    (Closes: #479068). Urgency medium because this problem affects many 
    lenny and sid Amarok users having rather large (15k+ songs) collections.

 -- Modestas Vainius <modestas@vainius.eu>  Sun, 11 May 2008 04:07:01 +0300

amarok (1.4.9.1-1) unstable; urgency=low

  * New upstream bugfix release:
    - The last.fm dialog did not always properly disable options when the
      username was not entered.
    - Fix Amazon Cover fetching by using their new web service api.
      (Closes: #474186)
    - Don't insert items into Dynamic Mode that don't exist.
    - If unavailable tracks are in the Playlist and random mode is on, don't
    - stop those tracks if selected; continue with available tracks.
  * Repackage original tarball as orig.tar.gz instead of doing tarball-in-orig
    tarball thing. The previous way made patch testing and debugging more
    painful unnecessarily.
  * Resynchronize patches:
    - 11_bug403340_cancel_rename_when_deleting_items.diff - fix offsets.
    - 97_automake_cleanup.diff - adopt to upstream changes, fix offsets.
  * Improve debian/rules stamp-automake and clean targets a bit not to rm
    automake generated files uselessly (if they were not regenerated)

 -- Modestas Vainius <modestas@vainius.eu>  Fri, 11 Apr 2008 10:12:31 +0300

amarok (1.4.8-2) unstable; urgency=low

  * Remove Adeodato Simó from Uploaders by his request. Thank you Adeodato for
    all your hard work!
  * Remove amarok-gstreamer.install because there is no gstreamer engine
    anymore.
  * Remove overrides/amarok-arts. arts engine is no longer available.
  * Drop internal cdbs/kde.mk in favour of the one shipped with cdbs. Merge
    missing functionality (cvs-make/automake) into debian/rules.
  * Auto-guess automake /usr/share directory.
  * Rework interdependences among amarok and its engines' packages:
    - Drop amarok-engine virtual package. Amarok and its engines ABI are not
      even compatible between Amarok point releases so virtual package, which,
      unfortunately, is versionless by definition, is not practical here.
    - Rename engine packages to amarok-engine-$engine. Make them conflict
      and replace previous amarok-$engine packages. Also make amarok conflict
      with amarok-engine virtual package. All these changes will ensure that
      partial upgrades from etch are not allowed (Closes: #432219).
    - Make amarok depend on any of its engines of the same binary version
      via alternate dependences. Default engine is amarok-engine-xine. Edit
      amarok-engine-xine description accordingly.
    - Make all amarok engines recommend amarok strictly of the same binary
      version. Recommends instead of Depends here breaks circular dependency
      (Closes: #368485).
    - Downgrade amarok-engines to amarok Suggests.
    - Convert amarok-engines package to arch:all because it's a metapackage.
      Edit amarok-engines description because it's no longer going to be
      installed by default.
    - Add amarok-yauap to amarok-engines Suggests.
  * New binary packages:
    - amarok-common - arch:all package for architecture independent files


=== debian/control ===
Source: amarok-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Modestas Vainius <modestas@vainius.eu>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>
Build-Depends: cdbs, debhelper (>= 5.0.0), quilt, bzip2,
 kdelibs4-trinity-dev,
 libxine2-dev | libxine-dev, libdbus-tqt-1-dev,
 libtag1-dev, libsqlite3-dev,
 libmysqlclient15-dev | libmysqlclient16-dev | libmysqlclient18-dev, libpq-dev,
 libvisual-0.4-dev, libsdl1.2-dev,
 libifp-dev, libusb-dev, libgpod-nogtk-dev (>= 0.4.2), libnjb-dev, libmtp-dev, libmp4v2-dev,
 ruby, ruby-dev,
 automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://amarok.kde.org

Package: amarok-trinity
Architecture: any
Depends:  amarok-common-trinity (>= ${source:Version}), amarok-engine-xine-trinity (= ${binary:Version}) | amarok-engine-yauap-trinity (= ${binary:Version}), unzip, ${shlibs:Depends}
Suggests: amarok-engines-trinity, moodbar, konqueror-trinity | www-browser,
 python, python-qt3, libqt0-ruby1.8-trinity, libvisual-0.4-plugins
Description: versatile and easy to use audio player for Trinity
 Amarok tries to be a little different, providing a simple drag and drop
 interface that really makes playlist handling easy.
 .
 Features include:
   - rapid playlist creation, with drag and drop from a directory view
   - nice playlist browser for your existing playlists (PLS or M3U formats)
   - collection-indexing support, for smart browsing and playlist creation
   - possibility of accessing media via kioslaves, allowing you to play
     via smb:// or fish:// (normal streams are of course supported)
   - inline ID3 tag editing, capable of retrieving tags via MusicBrainz
   - album cover support: automatically displays album covers from the
     filesystem, or downloaded on the fly
   - miscellaneous audio effects, including crossfading
   - easy bindable global shortcuts, rich DCOP interface
   - On-Screen Display (OSD), on track change or at keypress
   - iPod and iRiver support
   - Last.fm stream playing support (if ruby is installed)
   - Track "mood" display (requires moodbar package installed)
 .
 Support for libvisual visualization plugins is also compiled in (you need 
 to have libvisual-0.4-plugins installed to be able to use it).

Package: amarok-common-trinity
Architecture: all
Depends: ruby
Recommends: amarok-trinity (>= ${source:Version})
Suggests: libqt0-ruby1.8-trinity, python, python-qt3
Description: architecture independent files for Amarok [Trinity]
 This package contains architecture independent files needed for Amarok to run
 properly. It also provides Amarok documentation. Therefore, unless you have
 'amarok' package installed, you will hardly find this package useful.
 .
 You need to install Python if you intend to use Zeroconf support, WebControl
 and/or playlist2html scripts. You will also need python-qt3 for the
 WebControl script.

Package: amarok-engines-trinity
Architecture: all
Depends: amarok-engine-xine-trinity (>= ${source:Version}), amarok-engine-yauap-trinity (>= ${source:Version})
Description: output engines for the Amarok music player [Trinity]
 This package serves merely as a reference point if you want to install
 all available Amarok engines. It depends on those Amarok engines that
 generally can be used by most users. You can safely remove this metapackage
 as you can remove the amarok-engine-$engine packages that you don't use.

Package: amarok-engine-xine-trinity
Architecture: any
Depends: ${shlibs:Depends}
Recommends: amarok-trinity (= ${binary:Version})
Description: xine engine for the Amarok audio player [Trinity]
 This package provides the xine engine for Amarok, which you may prefer
 for some reason over the other engines (e.g., it is the lightest engine
 Dependency-wise).

Package: amarok-engine-yauap-trinity
Architecture: any
Depends: yauap, ${shlibs:Depends}
Recommends: amarok-trinity (= ${binary:Version})
Description: Yauap engine for the Amarok audio player [Trinity]
 This package includes Amarok yauap engine, which provides a frontend
 to Yauap Commandline Audio Player. DBus is used as a means of communication
 between the engine and Yauap. Please note that some extra Amarok features 
 (like visualizations) might not be available while using this engine.

Package: amarok-trinity-dbg
Priority: extra
Architecture: any
Depends: amarok-trinity (= ${binary:Version})
Recommends: kdelibs-trinity-dbg
Description: debugging symbols for Amarok [Trinity]
 This package provides debugging symbols for all binary packages built from
 amarok source package. It's highly recommended to have this package installed
 before reporting any Amarok crashes to either Amarok developers or Debian
 package maintainers.

=== debian/rules ===
#!/usr/bin/make -f

### CDBS INCLUDES
include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/debian-qt-kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

### VARIABLES
# Exempt amarok engines from being handled as proper public libraries
# by dh_makeshlibs
DEB_DH_MAKESHLIBS_ARGS_ALL = -Xlibamarok_\\w*-engine-trinity

export KUBUNTU_DESKTOP_POT=extragear-multimedia_amarok-trinity

DEB_CONFIGURE_EXTRA_FLAGS  :=	--without-included-sqlite \
				--disable-final \
				--without-akode \
				--without-gstreamer10 \
				--without-libkarma \
				--with-ifp      \
				--with-libgpod  \
				--with-libnjb   \
				--with-libmtp   \
				--with-mp4v2    \
				--enable-mysql  \
				--enable-postgresql \
				--with-yauap \
				--prefix=/opt/trinity \
				--with-extra-libs=/usr/lib/mesa

# Ship upstream README in amarok docs
DEB_INSTALL_DOCS_ALL =
DEB_INSTALL_DOCS_amarok-trinity = $(DEB_SRCDIR)/README

# Amarok engines should not auto-depend on amarok. 
# Appropriate relationships are set manually in the control file.
DEB_DH_SHLIBDEPS_ARGS_amarok-engine-xine-trinity = -- -xamarok-trinity
DEB_DH_SHLIBDEPS_ARGS_amarok-engine-yauap-trinity = -- -xamarok-trinity

### Libtool and Automake updates
# Autoguess automake /usr/share subdirectory. Insure from failures
DEB_AUTOMAKE_SHARE_DIR = /usr/share/automake-$(shell automake --version | head -n 1 | sed 's/^automake (GNU automake) \([0-9]\+\.[0-9]\+\).*/\1/')
ifneq ($(words $(DEB_AUTOMAKE_SHARE_DIR)),1)
DEB_AUTOMAKE_SHARE_DIR =
endif

post-patches:: debian/stamp-automake
debian/stamp-automake:
	touch debian/stamp-automake-started
	if test -n "$(DEB_AUTOMAKE_SHARE_DIR)"; then \
		for f in $(DEB_AUTOMAKE_SHARE_DIR)/*; do \
			if  test -f $$f && \
			test -f $(DEB_SRCDIR)/admin/`basename $$f`; then \
			cp -f $$f $(DEB_SRCDIR)/admin; \
			fi; \
		done; \
	fi
	$(MAKE) -C $(DEB_SRCDIR) -f admin/Makefile.common
	touch $@

# Install ${curpkg}.install as lintian overrides
$(patsubst %,binary-install/%,$(DEB_PACKAGES))::
	if test -e debian/$(cdbs_curpkg).lintian; then \
		install -p -D -m644 debian/$(cdbs_curpkg).lintian \
		    debian/$(cdbs_curpkg)/opt/trinity/share/lintian/overrides/$(cdbs_curpkg); \
	fi

clean::
	if test -d $(DEB_SRCDIR) && test -f debian/stamp-automake-started; then \
		cd $(DEB_SRCDIR); \
		find . -name Makefile.in -print | \
				xargs --no-run-if-empty rm -f; \
		rm -f Makefile.am acinclude.m4 aclocal.m4 config.h.in \
				configure configure.files configure.in stamp-h.in \
				subdirs; \
	fi
	rm -f debian/stamp-automake*

binary-fixup/amarok-common-trinity::
	# Fix permissions of some amarok scripts
	chmod a+x  \
	    debian/$(cdbs_curpkg)/opt/trinity/share/apps/amarok/scripts/lyrics_astraweb/lyrics_astraweb.rb \
	    debian/$(cdbs_curpkg)/opt/trinity/share/apps/amarok/scripts/playlist2html/Playlist.py \
	    debian/$(cdbs_curpkg)/opt/trinity/share/apps/amarok/scripts/ruby_debug/debug.rb \
	    debian/$(cdbs_curpkg)/opt/trinity/share/apps/amarok/scripts/templates/python_qt_template.py \
	    debian/$(cdbs_curpkg)/opt/trinity/share/apps/amarok/scripts/templates/ruby_qt_template.rb \
	    debian/$(cdbs_curpkg)/opt/trinity/share/apps/amarok/scripts/webcontrol/Playlist.py \
	    debian/$(cdbs_curpkg)/opt/trinity/share/apps/amarok/scripts/webcontrol/RequestHandler.py

binary-post-install/amarok-common-trinity::
	# Remove excess COPYING files from script directories
	rm -f \
	    debian/$(cdbs_curpkg)/opt/trinity/share/apps/amarok/scripts/lyrics_astraweb/COPYING \
	    debian/$(cdbs_curpkg)/opt/trinity/share/apps/amarok/scripts/lyrics_lyrc/COPYING \
	    debian/$(cdbs_curpkg)/opt/trinity/share/apps/amarok/scripts/score_default/COPYING \
	    debian/$(cdbs_curpkg)/opt/trinity/share/apps/amarok/scripts/score_impulsive/COPYING
	# Remove Mac OSX resource fork file
	rm -f debian/$(cdbs_curpkg)/opt/trinity/share/apps/amarok/ruby_lib/rubygems/._gem_commands.rb

### POST-INSTALL HACKING
common-binary-post-install-arch::
	# Check for not installed files
	dh_install --no-act --list-missing

	chmod a+x debian/amarok-trinity/opt/trinity/lib/amarok/install-mp3
	chmod +x debian/amarok-trinity/opt/trinity/bin/kubuntu-media-amarok
	ln -s /opt/trinity/bin/amarokapp debian/amarok-trinity/opt/trinity/lib/amarok/amarokapp

=== debian/watch ===
version=3
opts=pasv ftp://ftp.kde.org/pub/kde/stable/amarok/([0-9.]+)/src/amarok-([0-9.]+)\.tar\.bz2

## amarok-trinity 14.0.11

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8.12 )


##### general package setup #####################

project( amarok )
set( VERSION R14.0.11 )

##### include essential cmake modules ###########

include( CheckCXXSourceCompiles )
include( CheckFunctionExists )
include( CheckIncludeFileCXX )
include( CheckLibraryExists )
include( CheckStructHasMember )
include( CheckSymbolExists )
include( CheckTypeSize )
include( FindPkgConfig )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff ############################

option( WITH_ALL_OPTIONS "Enable all optional support" OFF )

option( WITH_GCC_VISIBILITY  "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
option( WITH_XINE            "Enable xine-engine backend"                        ${WITH_ALL_OPTIONS} )
option( WITH_YAUAP           "Enable yauap-engine backend"                       ${WITH_ALL_OPTIONS} )
option( WITH_OPENGL          "Enable OpenGL support"                             ${WITH_ALL_OPTIONS} )
option( WITH_LIBVISUAL       "Enable libvisual support"                          ${WITH_ALL_OPTIONS} )
option( WITH_NJB             "Enable Nomad Jukebox support"                      ${WITH_ALL_OPTIONS} )
option( WITH_MTP             "Enable MTP devices support"                        ${WITH_ALL_OPTIONS} )
option( WITH_IFP             "Enable iRiver iFP Support"                         ${WITH_ALL_OPTIONS} )
option( WITH_IPOD            "Enable iPod support from libgpod"                  ${WITH_ALL_OPTIONS} )
option( WITH_MP4V2           "Enable MP4/AAC Tag Write Support from mp4v2"       ${WITH_ALL_OPTIONS} )
option( WITH_DAAP            "Enable DAAP Music Sharing Support"                 ${WITH_ALL_OPTIONS} )
option( WITH_EMBEDDED_SQLITE "Build with embedded Sqlite"                        OFF )
option( WITH_SYSTEM_SQLITE   "Build with system Sqlite"                          ${WITH_ALL_OPTIONS} )
option( WITH_MYSQL           "Enable MySql Support"                              ${WITH_ALL_OPTIONS} )
option( WITH_POSTGRESQL      "Enable Postgresql Support"                         ${WITH_ALL_OPTIONS} )
option( WITH_KONQSIDEBAR     "Build with Konqueror Sidebar"                      ${WITH_ALL_OPTIONS} )
option( WITH_AKODE           "Enable akode-engine backend"                       ${WITH_ALL_OPTIONS} )
option( WITH_INOTIFY         "Enable inotify support"                            ${WITH_ALL_OPTIONS} )
option( WITH_AMAZON          "Enable Amazon cover download support"              ${WITH_ALL_OPTIONS} )


##### upstream does not support these anymore
# option( WITH_NMM         "NMM-engine backend"   ${WITH_ALL_OPTIONS} )
# option( WITH_HELIX       "Helix-engine backend" ${WITH_ALL_OPTIONS} )
# option( WITH_MUSICBRAINZ "MusicBrainz support"  ${WITH_ALL_OPTIONS} )	- need libtunepimp
# option( WITH_RIOKARMA    "Rio Karma suppor"     ${WITH_ALL_OPTIONS} )


##### user requested modules ####################

option( BUILD_ALL          "Build all"          ON )
option( BUILD_DOC          "Build doc"          ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### source directories ########################

add_subdirectory( ${PROJECT_NAME} )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

## amarok-trinity 14.0.13

=== debian/changelog ===
amarok-trinity (4:14.0.13-1romtamrk) universal; urgency=low

  * Applying noAnalizerFlood.patch

 -- Roman Savochenko <roman@oscada.org>  Mon, 25 Nov 2024 20:00:00 +0200

amarok-trinity (4:14.0.13-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 29 Sep 2022 00:23:57 +0200

## amarok-trinity 14.1.0

=== debian/changelog ===
amarok-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 09 Apr 2023 19:51:22 +0200

## amarok-trinity 14.1.1

=== amarok/src/metadata/mp4/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2013 Darrell Anderson
#  humanreadable (AT) yahoo.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TAGLIB_INCLUDE_DIRS}
  ${MP4V2_INCLUDE_DIRS}
)


##### tagmp4 (static)

tde_add_library( common-tagmp4 STATIC_PIC

  SOURCES
        mp4file.cpp
        mp4properties.cpp
        mp4tag.cpp
        taglib_mp4filetyperesolver.cpp
  LINK
     ${MP4V2_LIBRARIES}
)

=== debian/changelog ===
amarok-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 11 Oct 2023 23:15:49 +0200

=== debian/control ===
Source: amarok-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Modestas Vainius <modestas@vainius.eu>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, bzip2,
 tdelibs14-trinity-dev, tdebase-trinity-dev,
 libakode-dev, libxine2-dev | libxine-dev,
 libtag1-dev, libsqlite3-dev,
 default-libmysqlclient-dev | libmysqlclient-dev, libpq-dev,
 libvisual-0.4-dev, libsdl1.2-dev,
 libusb-dev, libgpod-nogtk-dev (>= 0.4.2) | libgpod-dev (>> 0.8.3-8), libnjb-dev, libmtp-dev, libmp4v2-dev,
 ruby, ruby-dev, dh-python
Standards-Version: 3.8.4
Homepage: http://amarok.kde.org

Package: amarok-trinity
Architecture: any
Depends: libamarok-trinity (= ${binary:Version}), amarok-common-trinity (>= ${source:Version}), amarok-engine-xine-trinity (= ${binary:Version}) | amarok-engines-trinity, unzip, ${shlibs:Depends}
Replaces: amarok-kde3 (<< 4:14.0.0~), amarok-trinity (<< 4:14.0.0~)
Breaks: amarok-kde3 (<< 4:14.0.0~), amarok-trinity (<< 4:14.0.0~)
Suggests: amarok-konqsidebar-trinity, moodbar, konqueror-trinity | www-browser,
 python3-all, python3-pytqt, libqt0-ruby-trinity, libvisual-0.4-plugins
Description: versatile and easy to use audio player for Trinity
 Amarok tries to be a little different, providing a simple drag and drop
 interface that really makes playlist handling easy.
 .
 Features include:
   - rapid playlist creation, with drag and drop from a directory view
   - nice playlist browser for your existing playlists (PLS or M3U formats)
   - collection-indexing support, for smart browsing and playlist creation
   - possibility of accessing media via tdeioslaves, allowing you to play
     via smb:// or fish:// (normal streams are of course supported)
   - inline ID3 tag editing, capable of retrieving tags via MusicBrainz
   - album cover support: automatically displays album covers from the
     filesystem, or downloaded on the fly
   - miscellaneous audio effects, including crossfading
   - easy bindable global shortcuts, rich DCOP interface
   - On-Screen Display (OSD), on track change or at keypress
   - iPod and iRiver support
   - Last.fm stream playing support (if ruby is installed)
   - Track "mood" display (requires moodbar package installed)
 .
 Support for libvisual visualization plugins is also compiled in (you need 
 to have libvisual-0.4-plugins installed to be able to use it).

Package: libamarok-trinity
Architecture: any
Depends: ${shlibs:Depends}
Breaks: amarok-trinity (<< 4:14.0.11~)
Replaces: amarok-trinity (<< 4:14.0.11~)
Description: base library for Amarok [Trinity]
 This package contains base library needed for Amarok to run properly.
 Therefore, unless you have 'amarok' package installed, you will hardly
 find this package useful.

Package: amarok-common-trinity
Architecture: all
Depends: ruby, ${python3:Depends}
Replaces: amarok-common-kde3 (<< 4:14.0.0~), amarok-common-trinity (<< 4:14.0.0~)
Breaks: amarok-common-kde3 (<< 4:14.0.0~), amarok-common-trinity (<< 4:14.0.0~)
Recommends: amarok-trinity (>= ${source:Version})
Suggests: libqt0-ruby-trinity, python3-all, python3-pytqt
Description: architecture independent files for Amarok [Trinity]
 This package contains architecture independent files needed for Amarok to run
 properly. It also provides Amarok documentation. Therefore, unless you have
 'amarok' package installed, you will hardly find this package useful.
 .
 You need to install Python if you intend to use Zeroconf support, WebControl
 and/or playlist2html scripts. You will also need python3-pytqt for the
 WebControl script.

Package: amarok-konqsidebar-trinity
Architecture: any
Depends: amarok-trinity (= ${binary:Version}), konqueror-trinity (>= 4:3.0.0), ${shlibs:Depends}
Description: Amarok sidebar for konqueror [Trinity]
 This package contains the Amarok sidebar plugin for konqueror from Trinity.
 The sidebar provides a convenient way for a user to control amarok directly
 from the running konqueror instance.

Package: amarok-engines-trinity
Architecture: all
Depends: amarok-engine-xine-trinity (>= ${source:Version}) | amarok-engine-akode-trinity (>= ${source:Version})
Recommends: amarok-engine-xine-trinity (>= ${source:Version}), amarok-engine-akode-trinity (>= ${source:Version})
Replaces: amarok-engines-kde3 (<< 4:14.0.0~), amarok-engines-trinity (<< 4:14.0.0~)
Breaks: amarok-engines-kde3 (<< 4:14.0.0~), amarok-engines-trinity (<< 4:14.0.0~)
Description: output engines for the Amarok music player [Trinity]
 This package serves merely as a reference point if you want to install
 all available Amarok engines. It depends on those Amarok engines that
 generally can be used by most users. You can safely remove this metapackage
 as you can remove the amarok-engine-$engine packages that you don't use.

Package: amarok-engine-akode-trinity
Architecture: any
Depends: ${shlibs:Depends}
Recommends: amarok-trinity (= ${binary:Version}), libakode2-mpeg
Description: aKode engine for the Amarok audio player, providing aRts support [Trinity]
 This package provides the aKode engine for Amarok, which will output sound to
 the TDE sound system, the aRts daemon.

Package: amarok-engine-xine-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: amarok-engine-xine-kde3 (<< 4:14.0.0~), amarok-engine-xine-trinity (<< 4:14.0.0~)
Breaks: amarok-engine-xine-kde3 (<< 4:14.0.0~), amarok-engine-xine-trinity (<< 4:14.0.0~)
Recommends: amarok-trinity (= ${binary:Version})
Description: xine engine for the Amarok audio player [Trinity]
 This package provides the xine engine for Amarok, which you may prefer
 for some reason over the other engines (e.g., it is the lightest engine
 Dependency-wise).

Package: amarok-trinity-dbg
Priority: extra
Architecture: any
Replaces: amarok-kde3-dbg (<< 4:14.0.0~), amarok-trinity-dbg (<< 4:14.0.0~)
Breaks: amarok-kde3-dbg (<< 4:14.0.0~), amarok-trinity-dbg (<< 4:14.0.0~)
Depends: amarok-trinity (= ${binary:Version})
Recommends: tdelibs-trinity-dbg
Description: debugging symbols for Amarok [Trinity]
 This package provides debugging symbols for all binary packages built from
 amarok source package. It's highly recommended to have this package installed
 before reporting any Amarok crashes to either Amarok developers or Debian
 package maintainers.

## amarok-trinity 14.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,13 +9,17 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 2.8.12 )
+
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 ##### general package setup #####################
 
 project( amarok )
-set( VERSION R14.0.11 )
 
 ##### include essential cmake modules ###########
 
@@ -31,7 +35,6 @@
 
 ##### include our cmake modules #################
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )

=== debian/changelog ===
amarok-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Modestas Vainius <modestas@vainius.eu>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, bzip2,
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, bzip2,
  tdelibs14-trinity-dev, tdebase-trinity-dev,
  libakode-dev, libxine2-dev | libxine-dev,
  libtag1-dev, libsqlite3-dev,

## amarok-trinity 14.1.3

=== debian/changelog ===
amarok-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 30 Sep 2024 23:12:11 +0200

## amarok-trinity 14.1.4

=== debian/changelog ===
amarok-trinity (4:14.1.4-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libtag1-dev, libsqlite3-dev,
  default-libmysqlclient-dev | libmysqlclient-dev, libpq-dev,
  libvisual-0.4-dev, libsdl1.2-dev,
- libusb-dev, libgpod-nogtk-dev (>= 0.4.2) | libgpod-dev (>> 0.8.3-8), libnjb-dev, libmtp-dev, libmp4v2-dev,
+ libusb-dev, libgpod-nogtk-dev (>= 0.4.2) | libgpod-dev (>> 0.8.3-8), libnjb-dev, libmtp-dev,
  ruby, ruby-dev, dh-python
 Standards-Version: 3.8.4
 Homepage: http://amarok.kde.org

## amarok-trinity 14.1.5~pre22

=== debian/changelog ===
amarok-trinity (4:14.1.5~pre22-0debian13.0.0+3) trixie; urgency=low

  * Automated git build for 3b19281b613016a554f87dcd60d86159d02b2583
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 13 Oct 2025 23:07:33 +0200

## amarok-trinity 14.1.5

=== amarok/src/data/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    Cool-Streams.xml Amarok_1.4_Welcome.ogg ball.png
    dot.png equalizer_presets.xml firstrun.m3u
    grid.png wirl1.png wirl2.png magnatune_logo.png
  DESTINATION ${DATA_INSTALL_DIR}/amarok/data )

=== amarok/src/magnatunebrowser/CMakeLists.txt ===
--- 
+++ 
@@ -33,4 +33,5 @@
     magnatunelistview.cpp magnatuneredownloaddialog.cpp
     magnatuneredownloadhandler.cpp magnatunedownloadinfo.cpp
     magnatunealbumdownloader.cpp magnatuneredownloaddialogbase.ui
+  DEPENDENCIES amarokcore-static
 )

=== amarok/src/mediadevice/generic/CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,10 @@
 
 ##### other data ################################
 
-install( FILES amarok_generic-mediadevice.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
+tde_create_translated_desktop(
+  SOURCE amarok_generic-mediadevice.desktop
+  DESTINATION ${SERVICES_INSTALL_DIR}
+)
 
 
 ##### libamarok_generic-mediadevice (module) ####

=== amarok/src/mediadevice/ipod/CMakeLists.txt ===
--- 
+++ 
@@ -28,15 +28,16 @@
 
 ##### other data ################################
 
-install( FILES
-    amarok_ipod-mediadevice.desktop
-  DESTINATION ${SERVICES_INSTALL_DIR} )
+tde_create_translated_desktop(
+  SOURCE amarok_ipod-mediadevice.desktop
+  DESTINATION ${SERVICES_INSTALL_DIR}
+)
 
 
 ##### libamarok_ipod-mediadevice (module) #######
 
 tde_add_kpart( libamarok_ipod-mediadevice AUTOMOC
   SOURCES ipodmediadevice.cpp
-  LINK amarok-shared glib-2.0 ${GPOD_LIBRARY}
+  LINK amarok-shared ${GPOD_LIBRARY} ${GLIB2_LIBRARIES}
   DESTINATION ${PLUGIN_INSTALL_DIR}
 )

=== amarok/src/mediadevice/mtp/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${MTP_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE amarok_mtp-mediadevice.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)


##### libamarok_mtp-mediadevice (module) ########

tde_add_kpart( libamarok_mtp-mediadevice AUTOMOC
  SOURCES mtpmediadevice.cpp
  LINK amarok-shared ${MTP_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== amarok/src/metadata/aac/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TAGLIB_INCLUDE_DIRS}
)


##### tagaac (static) ###########################

tde_add_library( tagaac STATIC_PIC
  SOURCES
    aacfiletyperesolver.cpp
)

=== amarok/src/themes/reinhardt/images/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    background.png transparency.png
  DESTINATION ${DATA_INSTALL_DIR}/amarok/themes/reinhardt/images )

=== amarok/src/mediadevice/daap/daapreader/authentication/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### authentication (static) ###################

tde_add_library( authentication STATIC_PIC AUTOMOC
  SOURCES
    contentfetcher.cpp md5.c hasher.c
)

=== debian/changelog ===
amarok-trinity (4:14.1.5-0ubuntu20.04.0+0) focal; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Nov 2025 22:11:58 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON" \
 -DWITH_YAUAP="OFF" \
 -DWITH_IFP="OFF"

binary-install/amarok-common-trinity::
	dh_python3 -p $(cdbs_curpkg) --shebang=/usr/bin/python3 \
		/opt/trinity/share/apps/amarok/scripts/playlist2html
	dh_python3 -p $(cdbs_curpkg) --shebang=/usr/bin/python3 \
		/opt/trinity/share/apps/amarok/scripts/webcontrol

## amarok-trinity 14.1.6~pre4

=== debian/changelog ===
amarok-trinity (4:14.1.6~pre4-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for fc599a27b13e092a48ece9debb05bc7abb5cd765
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 20 Nov 2025 22:38:51 +0100

## amarok-trinity 14.1.6~pre6

=== debian/changelog ===
amarok-trinity (4:14.1.6~pre6-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 87c54a9f652bc81312552fc7581bab91a36f7f24
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:18:38 +0100

## amarok-trinity 14.1.6~pre9

=== debian/changelog ===
amarok-trinity (4:14.1.6~pre9-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 10ac3a7ea2d91446e879759ec44cf93a15a017a7
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 15 Jan 2026 22:34:39 +0100

## amarok-trinity 14.1.6~pre13

=== debian/changelog ===
amarok-trinity (4:14.1.6~pre13-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for e7343a2735208d45da573cca1e0e6717b3e34897
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 29 Jan 2026 15:51:05 +0100

## amarok-trinity 14.2.0~pre171

=== debian/changelog ===
amarok-trinity (4:14.2.0~pre171-0ubuntu25.10.0+7) questing; urgency=low

  * Automated git build for 16ec0eab9e744550173e7036e1e08bf1bacb63f1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200
